  
  <link rel="stylesheet" href="../../assets/css/cart.css">
  
  <!-- cart section -->
   <section class="cart-section min-vh-100">
    <div class="container">
        <!-- <h4 class="cart-heading mt-4">My Cart</h4> -->
        <div class="row mt-4">
            <div class="col-md-8">
                <div class="cart-container table-responsive">
                    <table class="table">
                        <thead>
                          <tr>
                            <th scope="col" class="ps-4 py-3">Products</th>
                            <th scope="col" class="py-3">Price (NU)</th>
                            <th scope="col" class="py-3">Quantity</th>
                            <th scope="col" class="py-3">Total (NU)</th>
                          </tr>
                        </thead>
                        <tbody>
       
                        <% let grandTotal = 0; %>
                        <% cartItems.forEach(cartItem => { %>
                            <% if (cartItem.userId.toString() === user_id.toString()) { %>
                                <tr class="cartitems-details">
                                    <td class="ps-4 py-4">
                                        <div class="products-col-container d-flex gap-2 align-items-center">
                                            <div>
                                                <a href="" data-bs-toggle="modal" data-bs-target="#staticBackdrop" class="me-2 removeCart">
                                                    <svg xmlns="http://www.w3.org/2000/svg" width="17" height="17" viewBox="0 0 17 17" fill="none">
                                                        <path fill-rule="evenodd" clip-rule="evenodd" d="M1.41391 15.5564C0.632862 14.7753 0.632862 13.509 1.41391 12.7279L5.65677 8.48507L1.41436 4.24264C0.633305 3.4616 0.633305 2.19527 1.41436 1.41424C2.1954 0.633171 3.46173 0.633171 4.24278 1.41424L8.48519 5.65664L12.7276 1.41421C13.5087 0.633171 14.775 0.633171 15.556 1.41421C16.3371 2.19527 16.3371 3.4616 15.556 4.24264L11.3136 8.48507L15.5565 12.7279C16.3375 13.509 16.3375 14.7753 15.5565 15.5564C14.7754 16.3374 13.5091 16.3374 12.7281 15.5564L8.4852 11.3135L4.24234 15.5564C3.46129 16.3374 2.19496 16.3374 1.41391 15.5564Z" fill="#E01538" fill-opacity="0.75"/>
                                                    </svg>
                                                </a>
                                                   <!--Remove cart Modal -->
                                                    <div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                                                        <div class="modal-dialog modal-dialog-centered">
                                                        <div class="modal-content py-3 px-5">
                                                            <div class="modal-header">
                                                            <p class="modal-title" id="staticBackdropLabel">Are you sure you want to remove the product from card?</p>
                                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                            </div>
                                                    
                                                            <div class="modal-footer boder-0">
                                                            <button type="button" class="btn-cancel" data-bs-dismiss="modal">Cancel</button>
                                                            <form method="POST" action="/deleteCartItem/<%= cartItem._id %>">
                                                                <button type="submit" class="btn-delete">Remove</button>
                                                            </form>
                                                            </div>
                                                        </div>
                                                        </div>
                                                    </div>
                                            </div>
                                            <div>
                                                <img style="width: 70px; height: 40px; border-radius: 4px; object-fit: cover; object-position: top;" src="<%= cartItem.productId.productimage %>" alt="product-img">
                                            </div>
                                            <div class="ms-2"><%= cartItem.productId.productname %> <span style="font-weight: 800;">(<%= cartItem.size %>)</span></div>
                                        </div>
                                    </td>
                                    <td class="py-4">
                                        <p id="price" class="pt-2"><%= cartItem.productId.price %></p>
                                    </td>
                                    <td class="py-4">
                                        <div class="quantity-container">
                                            <button onclick="decrementQuantity('<%= cartItem._id %>')" class="plus-buuton">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="10" height="10" viewBox="0 0 10 10" fill="none">
                                                    <path fill-rule="evenodd" clip-rule="evenodd" d="M0 4H10V6H0V4Z" fill="#D9D9D9"/>
                                                  </svg>                                                  
                                            </button>
                                            <div class="product-number" id="quantity-<%= cartItem._id %>"><%= cartItem.quantity %></div>
                                            <button  onclick="incrementQuantity('<%= cartItem._id %>')" class="plus-buuton">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="10" height="10" viewBox="0 0 10 10" fill="none">
                                                    <path fill-rule="evenodd" clip-rule="evenodd" d="M6 4V0H4V4H0V6H4V10H6V6H10V4H6Z" fill="#D9D9D9"/>
                                                  </svg>
                                            </button>
                                        </div>
                                    </td>
                                    <td class="py-4">
                                        <p class="pt-2" style="font-weight: 900;" id="totalMoney-<%= cartItem._id %>"><%= cartItem.productId.price * cartItem.quantity %></p>
                                    </td>
                                </tr>
                                <% grandTotal += cartItem.productId.price * cartItem.quantity; %>
                            <% } %>
                        <% }); %> 
                        <% if (cartItems.length === 0) { %>
                            <tr>
                                <td colspan="4" style="padding-top: 50px;padding-bottom: 50px;text-align: center;border: none;">
                                    <img style="height: 200px;object-fit: contain;" class="img-fluid" src="../../assets/images/Shopping bag-amico.png" alt="shopping bag">
                                    <h4 style="font-weight: 900;color: red;">There is nothing in your cart!</h4>
                                </td>
                            </tr>
                        <% } %>


                     
                        </tbody>
                      </table>
                </div>
            </div>
            <div class="col-md-4">
                <div class="cart-total-container">
                    <div id="cart-total-container">
                        <h2 style="color: #000;font-family: Maven Pro;font-size: 18px;font-style: normal;font-weight: 500;line-height: normal;margin-top:10px;">Cart Total</h2>
                        <hr class="mb-4 mt-4" style="color: rgba(0, 0, 0, 0.463);">
                        <p style="color: rgba(0, 0, 0, 0.76);
                        font-family: Maven Pro;
                        font-size: 16px;
                        font-style: normal;
                        font-weight: 400;
                        line-height: normal;">
                        Total Items: <span style="font-weight: 700;color:#000;"><%= totalCartItems %></span></p>
                        <hr class="mt-4 mb-4" style="color: rgba(0, 0, 0, 0.463);">
                        <p style="color: #000;
                        font-family: Maven Pro;
                        font-size: 16px;
                        font-style: normal;
                        font-weight: 500;
                        line-height: normal;">Gross Payable:<span id="grandTotal">Nu.<%= grandTotal %></span></p>
                        <hr class="mt-4" style="color: rgba(0, 0, 0, 0.463);">
                        <button style="width: 300px;
                        height: 45px;
                        flex-shrink: 0;background:#000;color: #FFF;
                        font-family: Maven Pro;
                        font-size: 14px;
                        font-style: normal;
                        font-weight: 700;
                        line-height: normal;margin-top:30px;">PROCEED TO CHECKOUT</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>


<script>
    // Function to increment the quantity
    function incrementQuantity(itemId) {
        const quantityElement = document.getElementById(`quantity-${itemId}`);
        let currentQuantity = parseInt(quantityElement.textContent);
        if (isNaN(currentQuantity)) currentQuantity = 0;
        quantityElement.textContent = currentQuantity + 1;
        updateQuantityInCart(itemId, currentQuantity + 1);
    }

    // Function to decrement the quantity
    function decrementQuantity(itemId) {
        const quantityElement = document.getElementById(`quantity-${itemId}`);
        let currentQuantity = parseInt(quantityElement.textContent);
        if (isNaN(currentQuantity)) currentQuantity = 0;
        if (currentQuantity > 1) {
            quantityElement.textContent = currentQuantity - 1;
            updateQuantityInCart(itemId, currentQuantity - 1);
            
        }
    }

// Function to update the quantity in the cart on the server
function updateQuantityInCart(itemId, newQuantity) {
    newQuantity = parseFloat(newQuantity); // Ensure it's a number
    if (isNaN(newQuantity)) {
        console.log('Invalid newQuantity:', newQuantity);
        return;
    }

    // Send a request to update the quantity in the cart
    fetch(`/mycart/updateQuantityInCart/${itemId}`, {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json',
        },
        body: JSON.stringify({ newQuantity }),
    })
    .then(response => {
        if (response.ok) {
            // Quantity updated successfully
        } else {
            // Handle errors
        }
    })
    .catch(error => {
        // Handle network errors
    });
}

</script>










  